dnl Verify that the include path used by c++ has include files that
dnl have support for multicast. A relatively common problem is that
dnl gcc/g++ may be installed at a site prior to multicast includes being
dnl installed, or perhaps gcc/g++ were installed on a network filesystem
dnl on a machine that did not have multicast includes patches in /usr/include.
dnl
dnl Either of those cases cause rtpmon compilation to fail. The easiest way
dnl to fix this is to set either CPPFLAGS (*not* CXXFLAGS or CFLAGS) or
dnl C_INCLUDE_PATH to -I/path/to/multicast/includes. CPPFLAGS is used by
dnl autoconf and many Makefiles; C_INCLUDE_PATH is gcc-specific.

AC_DEFUN(RTPMON_PROG_CXX_MCAST,[
  AC_REQUIRE([AC_PROG_CXXCPP])
  AC_LANG_SAVE
  AC_LANG_CPLUSPLUS
  AC_MSG_CHECKING(for struct ip_mreq in netinet/in.h for C++)
  AC_EGREP_HEADER(struct ip_mreq, netinet/in.h,
    [AC_MSG_RESULT(yes)],
    [AC_MSG_RESULT(no)
    AC_MSG_ERROR([installation or configuration problem: C++ compiler cannot
find multicast-patched include files])]
  )
  AC_LANG_RESTORE
])
