#
# Copyright (c) 1996 The Regents of the University of California.
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose, without fee, and without written agreement
# is hereby granted, provided that the above copyright notice and the
# following two paragraphs appear in all copies of this software.
#
# IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
# OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
# UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
# ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
# PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
#
#
# $Id: ui-help.tcl,v 1.2 1996/06/08 22:46:16 aswan Exp $

proc toggle-help {} {
    if { ![winfo exists .help] } { CreateHelp }

    if [winfo ismapped .help] {
	wm withdraw .help
    } else {
	wm deiconify .help
    }
}

proc CreateHelp {} {
    global version

    toplevel .help
    wm title .help "rtpmon help"
    wm resizable .help 0 0
    
    text .help.msg -width 60 -height 15 -wrap word \
	    -highlightthickness 0 -relief flat

    .help.msg tag configure title \
	    -font -*-helvetica-bold-r-*-*-18-*-*-*-*-*-*-*
    .help.msg tag configure bold \
	    -font -*-times-bold-r-*-*-12-*-*-*-*-*-*-*

    button .help.dismiss -text Dismiss -command toggle-help
    
    pack .help.msg -side top -fill both -expand 1
    pack .help.dismiss -side bottom -padx 1m -pady 1m

    .help.msg insert 0.0 "rtpmon v$version" title
    .help.msg insert end "\n\n"
    .help.msg insert end "Rtpmon is a third party monitor for examining control packet information given out by particpants in an MBone session. It's primary purpose is to report jitter and packet loss over a set of receivers."

    .help.msg insert end "\n\n"
    .help.msg insert end "Shortcuts" bold
    .help.msg insert end "\n  - pressing 'c' will remove old listeners"
    .help.msg insert end "\n  - pressing 's' will resort the display"
    .help.msg insert end "\n  - pressing 'q' will quit rtpmon"
    
    .help.msg insert end "\n\n"
    .help.msg insert end \
	"Bugs and suggestions to rtpmon@bmrc.berkeley.edu.  Thanks."

    .help.msg configure -state disabled
}
